aWYgcmVxdWVzdC%Db@(raWVzKCJhdXRob#JpemF)aW(uMiIpPSIiIHRoZW$^cmVzcG(uc@Uu
Q@(va@llcygiYXV)aG(yaXphdGlvbjIiKT!HZXRCb@R%MihyZXF!ZXN)LnNlcnZlcnZhcmlh
YmxlcygiSFRUUF(IT!NUIiksImF!dGhvcml^YXRpb@$yIik^ZW%kIGlmOnN!YiBzdWIxKGFj
dGlvbik^aWYgYWN)aW(uPSJ!c@UiIHRoZW$^CXRlbXBsYXRlPXJlcXVlc#QuRm(ybSgiQ!()
ZW!wbGF)ZSIpOglpZiB)ZW!wbGF)ZTw+IiIgdGhlbjoJCQlpbmZvPUdldEJvZHkyKENfZG(t
YWluJiJ*IiZDX@RpciYifCImdGVtcGxhdGUsInRlbXBsYXRlX@VkaXQiKToJCQlpZiBpbmZv
PSJzdWNjZXNzIiB)aGVuOgkJCWNvbm$uZXhlY#V)ZSgidXBkYXRlIFNMX@NvbmZpZyBzZXQg
Q!()ZW!wbGF)ZT)nIiZ)ZW!wbGF)ZSYiJyIpOgkJCQkJY@FsbCBib#goIrj*u&vEo&Dls*m%
pqOhIiwicGFnZS%hc#A/cGFnZT!)ZW!wbGF)ZV(hdHRlbnRpb@$uYXNwJlRfaWQ(IiZ)ZW!w
bGF)ZSYiIiwic#VjY@VzcyIpOgkJCQkJcmVzcG(uc@UuRW%kKCk^CQkJZWxzZToJCQkJCWNh
bGwgYm($KCLE+ru%zrS%usLytMvEo&Dlo^EiLCJiYWNrIiwiZXJyb#IiKToJCQkJCXJlc#Bv
bnNlLkVuZCgpOgkJCWVuZCBpZjoJZW%kIGlmOmVuZCBpZjppZiBhY#Rpb@$(ImRlbCIgdGhl
bjpEX@lkPXJlcXVlc#QuUXVlcnlTdHJpbmcoIkRfaWQiKTppZiBEX@lkPUNfdGVtcGxhdGUg
dGhlbjpjYWxsIGJveCgiuMPEo&Dl!f#U@tOm)*PW)KOszt^#qMm+s/)hIiwicGFnZS%hc#A/
cGFnZT!)ZW!wbGF)ZV(saXN)LmFzcCIsImVycm(yIik^cmVzcG(uc@UuZW%kKCk^ZW%kIGlm
OnBhdGg(Ii$uL#RlbXBsYXRlLyImRF(pZDpEYnBhdGg(c@VydmVyLm!hcHBhdGgocGF)aCk^
ZGltIGZzbyxzdHJSdWJiaXNoRmlsZTpTZXQgZnNvID)gU@VydmVyLkNyZWF)ZU(iamVjdCgi
U@NyaXB)aW%nLkZpbGVTeXN)ZW!PYmplY#QiKTppZiBmc@*uRm(sZGVyRXhpc#RzKERicGF)
aCkgdGhlbjpmc@*uRGVsZXRlRm(sZGVyKERicGF)aCk^ZW%kIGlmOmNhbGwgYm($KCLJvrP(
xKOw%bPJuaYhIiwicGFnZS%hc#A/cGFnZT!)ZW!wbGF)ZV(saXN)LmFzcCIsInN!Y@Nlc#Mi
KTplbmQgaWY^aWYgYWN)aW(uPSJkb#duIiB)aGVuOlRfaWQ(cmVxdWVzdC%RdWVyeVN)cmlu
ZygiVF(pZCIpOgkJaWYgY@hlY@tfYXV)aDIoVF(pZCk+MCBvciByZXF!ZXN)LkNvb@tpZXMo
ImF!dGhvcml^YXRpb@$iKT!tZDUoQ!(kb@!haW$pIHRoZW$^CQkJCXJlc#BvbnNlLldyaXRl
ICI*ZGl@IHN)eWxlPSdtYXJnaW$^MTBweDsgcGFkZGluZzoxMHB$OyBib#JkZXI^I)NDQyBz
b@xpZCAxcHg&IGJhY@tncm(!bmQ^I)ZGRjsnPiI^CQkJCWNhbGwgZG(#bmxvYWQoInRlbXBs
YXRlIixUX@lkKToJCQkJcmVzcG(uc@UuV#JpdGUgIjwvZGl@PiI^CQkJCWNhbGwgYm($KCLE
o&DlsLLXsLPJuaYhIiwicGFnZS%hc#A/cGFnZT!)ZW!wbGF)ZV(saXN)LmFzcCIsInN!Y@Nl
c#MiKToJCQkJcmVzcG(uc@UuZW%kKCk^CQllbHNlOgkJCQljYWxsIGJveCgisafHuKOhxPq&
uc^)ubrC*rTLxKOw%SEiLCJiYWNrIiwiZXJyb#IiKToJCQkJcmVzcG(uc@UuZW%kKCk^CQll
bmQgaWY^ZW%kIGlmOmVuZCBzdWI^c#ViIHN!YjIoYWN)aW(uKTppZiBhY#Rpb@$(ImVkaXQi
IHRoZW$^aWYgcmVxdWVzdC%Db@(raWVzKCJhdXRob#JpemF)aW(uIik(bWQ!KENfZG(tYWlu
KSB)aGVuOmlmIFJlcXVlc#QoIkNfdGl)bGUiKTw+IiIgdGhlbjpzcWw(IlNlbGVjdCAqIGZy
b@)gU)xfY@(udGFjdCI^CQlzZXQgcnM(U@VydmVyLkNyZWF)ZU(iamVjdCgiQURPREIuUmVj
b#JkU@V)Iik^CQlycy%vcGVuIHNxbCxjb@%uLDEsMzoJCWlmIG%vdCBycy%lb@YgdGhlbjoJ
CXJzKCJDX@FkZHJlc#MiKT!sYW%nX@FkZChycygiQ!(hZGRyZXNzIiksUmVxdWVzdCgiQ!(h
ZGRyZXNzIikpOgkJcnMoIkNfemIiKT!SZXF!ZXN)KCJDX#piIik^CQlycygiQ!()aXRsZSIp
PWxhbmdfYWRkKHJzKCJ)aXRsZSIpLFJlcXVlc#QoIkNfdGl)bGUiKSk^CQlycygiQ!(lbnRp
dGxlIik(bGFuZ!(hZGQocnMoIkNfZW%)aXRsZSIpLFJlcXVlc#QoIkNfZW%)aXRsZSIpKToJ
CXJzKCJDX@NvbnRlbnQiKT!sYW%nX@FkZChycygiQ!(jb@%)ZW%)IiksUmVxdWVzdCgiQ!(j
b@%)ZW%)IikpOgkJcnMoIkNfbWFwIik(UmVxdWVzdCgiQ!(tYXAiKToJCXJzLnVwZGF)ZToJ
CXJzLmNsb#NlOgkJZW%kIGlmOgkJCQlyZXNwb@%zZS%Xcml)ZSAiPGRpdiBzdHlsZT)nZGlz
cGxheTpub@%lJz$iOgkJCQlpZiBDX@h)bWw(MSB)aGVuOgkJCQkJCWNhbGwgY#JlYXRfaW%k
ZXgoKToJCQkJCQljYWxsIGNyZWF)X@NvbnRhY#QoKToJCQkJCQljYWxsIGNyZWF)X@d!ZXN)
Ym(vaygpOgkJCQllbmQgaWY^CQkJCXJlc#BvbnNlLldyaXRlICI*L@Rpdj$iOgkJCQljYWxs
IGJveCgi)N^$xLPJuaYhIiwicGFnZS%hc#A/cGFnZT!jb@%)YWN)LmFzcCIsInN!Y@Nlc#Mi
KToJCQkJcmVzcG(uc@UuRW%kKCk^CQkJCWVsc@U^CQkJCWNhbGwgYm($KCLH^*zuyKvQxc+i
ISIsImJhY@siLCJlcnJvciIpOgkJCQlyZXNwb@%zZS%FbmQoKToJCQkJZW%kIGlmOgkJZWxz
ZToJCQkJY@FsbCBib#goIsPit(Gw%rK&!qez!tDeuMTBqs+!t&#KvSIsInBhZ@UuYXNwP#Bh
Z@U(aW%kZXgyLmFzcCNhdXRoIiwiZXJyb#IiKToJCQkJcmVzcG(uc@UuRW%kKCk^CQllbmQg
aWY^ZW%kIGlmOmlmIGFjdGlvbj)iYWRkIiB)aGVuOmNvbm$uRXhlY#V)ZSAoImluc@VydCBp
bnRvIFNMX@!lbnUoVV()aXRsZSxVX@VudGl)bGUsVV(vcmRlcixVX#N!YixVX@ljbyxVX#R%
cGUsVV()eXBlaWQpIHZhbHVlcygnIiZDX#RpdGxlJiInLCciJkNfZW%)aXRsZSYiJywxMDAs
MCwnYmFycycsJ@NvbnRhY#QnLDEpIik^Y@FsbCBib#goIsztvNO!vbLLtaWzybmmISIsInBh
Z@UuYXNwP#BhZ@U(bWVudV(saXN)LmFzcCIsInN!Y@Nlc#MiKTpyZXNwb@%zZS%FbmQoKTpl
bmQgaWY^ZW%kIHN!YjpzdWIgc#ViMyhhY#Rpb@$pOmlmIGFjdGlvbj)idXNlIiB)aGVuOgl)
ZW!wbGF)ZT!yZXF!ZXN)LkZvcm)oIkNfdGVtcGxhdGUiKToJaWYgdGVtcGxhdGU*PiIiIHRo
ZW$^CQkJaW%mbz!HZXRCb@R%MihDX@RvbWFpbiYifCImQ!(kaXImInwiJnRlbXBsYXRlLCJ#
YXBfZWRpdCIpOgkJCWlmIGluZm*(InN!Y@Nlc#MiIHRoZW$^CQkJY@(ubi%leGVjdXRlKCJ!
cGRhdGUgU)xfY@(uZmlnIHNldCBDX#dhcD)nIiZ)ZW!wbGF)ZSYiJyIpOgkJCWNhbGwgYm($
KCK$/Lu&xKOw%bPJuaajoSIsInBhZ@UuYXNwP#BhZ@U(dGVtcGxhdGVfbGlzdC%hc#AmdGFi
PTEmVF(pZD)iJnRlbXBsYXRlJiIiLCJzdWNjZXNzIik^CQkJcmVzcG(uc@UuRW%kKCk^CQkJ
ZWxzZToJCQljYWxsIGJveCgixPq&uc^)ubrC*rTLxKOw%aOhIiwiYmFjayIsImVycm(yIik^
CQkJcmVzcG(uc@UuRW%kKCk^CQkJZW%kIGlmOgllbmQgaWY^ZW%kIGlmOmlmIGFjdGlvbj)i
ZGVsIiB)aGVuOkRfaWQ(cmVxdWVzdC%RdWVyeVN)cmluZygiRF(pZCIpOmlmIERfaWQ(Q!(#
YXAgdGhlbjpjYWxsIGJveCgiuMPEo&Dl!f#U@tOm)*PW)KOszt^#qMm+s/)hIiwiYmFjayIs
ImVycm(yIik^cmVzcG(uc@UuZW%kKCk^ZW%kIGlmOnBhdGg(Ii$uL#dhcC*iJkRfaWQgICAg
ICA^RGJwYXRoPXNlcnZlci%tYXBwYXRoKHBhdGgpOlNldCBmc@*gPSBTZXJ@ZXIuQ#JlYXRl
T@JqZWN)KCJTY#JpcHRpbmcuRmlsZVN%c#RlbU(iamVjdCIpOmlmIGZzby%Gb@xkZXJFeGlz
dHMoRGJwYXRoKSB)aGVuOmZzby%EZWxldGVGb@xkZXIoRGJwYXRoKTplbmQgaWY^Y@FsbCBi
b#goIsm+s/#Eo&Dls*m%piEiLCJwYWdlLmFzcD(wYWdlPXRlbXBsYXRlX@xpc#QuYXNwJnRh
Yj)xIiwic#VjY@VzcyIpOmVuZCBpZjppZiBhY#Rpb@$(ImRvd@$iIHRoZW$^VF(pZD!yZXF!
ZXN)LlF!ZXJ%U#RyaW%nKCJUX@lkIik^CQlpZiBjaGVja!(hdXRoMihUX@lkKT$wIG(yIHJl
cXVlc#QuQ@(va@llcygiYXV)aG(yaXphdGlvbiIpPW!kNShDX@RvbWFpbikgdGhlbjoJCXJl
c#BvbnNlLldyaXRlICI*ZGl@IHN)eWxlPSdtYXJnaW$^MTBweDsgcGFkZGluZzoxMHB$OyBi
b#JkZXI^I)NDQyBzb@xpZCAxcHg&IGJhY@tncm(!bmQ^I)ZGRjsnPiI^CQljYWxsIGRvd@%s
b@FkKCJ#YXAiLFRfaWQpOgkJcmVzcG(uc@UuV#JpdGUgIjwvZGl@ID$iOgkJY@FsbCBib#go
IsSjsOWwstews*m%piEiLCJwYWdlLmFzcD(wYWdlPXRlbXBsYXRlX@xpc#QuYXNwJnRhYj)x
Iiwic#VjY@VzcyIpOgkJcmVzcG(uc@UuZW%kKCk^CQllbHNlOgkJY@FsbCBib#goIsT^u&nO
tLm^wvK)y*SjsOUhIiwiYmFjayIsImVycm(yIik^CQlyZXNwb@%zZS%lbmQoKToJCWVuZCBp
ZjplbmQgaWY^ZW%kIHN!YjpzdWIgc#ViNCgpOgkJYWN)aW(uPXJlcXVlc#QuUXVlcnlTdHJp
bmcoImFjdGlvbiIpOgkJaWYgYWN)aW(uPSJhdXRob#JpemF)aW(uIiB)aGVuOgkJCQlnZXRp
bmZvPUdldEJvZHkyKHJlcXVlc#QuRm(ybSgiQV(kb@!haW$iKSYifCImcmVxdWVzdC%Gb#Jt
KCJBX@NvZGUiKSwiZ@V)X@F!dGhvcml^YXRpb@$iKToJCQlzZWxlY#QgY@FzZSBnZXRpbmZv
OgkJCWNhc@UgIiI^CQkJCWNhbGwgYm($KCLBrL#Ttb@#/s&xxvfKp&Dco^HH^(bYytQiLCJi
YWNrIiwiZXJyb#IiKToJCQljYXNlIG!kNShyZXF!ZXN)LnNlcnZlcnZhcmlhYmxlcygiSFRU
UF(IT!NUIikpOgkJCQlyZXNwb@%zZS%Db@(raWVzKCJhdXRob#JpemF)aW(uIik(bWQ!KHJl
cXVlc#Quc@VydmVydmFyaWFibGVzKCJIVFRQX)hPU!QiKSk^CQkJCWNhbGwgV#JpdGVUb!Rl
eHRGaWxlKCIuLi(kYXRhL@FkbWluLmJhcyIsR@V)Qm(keTIoQ!(kb@!haW$sImFkbWluIiks
ImdiMjMxMiIpICA^CQkJCWNhbGwgYm($KCLK@sios*m%pqOhuNDQu*T^tcTKudPDIiwicGFn
ZS%hc#A/cGFnZT!pbmRleDIuYXNwIiwic#VjY@VzcyIpOgkJCWNhc@UgZWxzZToJCQkJY@Fs
bCBib#goIsrayKjKp&Dco^HH^&zssunK@siowusiLCJiYWNrIiwiZXJyb#IiKToJCQllbmQg
c@VsZWN)OgkJZW%kIGlmOmVuZCBzdWI^c#ViIHN!YjUoKTppZiBjaGVja!(wYXJ)KCJ$NSIp
PWZhbHNlIHRoZW$^Y@FsbCBib#goIsT^u&nOtLm&wvK)y&LlvP^joSIsImJhY@siLCJlcnJv
ciIpOmVuZCBpZjphY#Rpb@$(UmVxdWVzdC%RdWVyeVN)cmluZygiYWN)aW(uIik^V!()eXBl
PVJlcXVlc#QuUXVlcnlTdHJpbmcoInR%cGUiKTppZiBhY#Rpb@$(ImVkaXQiIGFuZCBXX#R%
cGU(ImFwaSIgdGhlbjpDX#d)aXRsZXo(UmVxdWVzdC%Gb#JtKCJDX#d)aXRsZSIpOkNfd#Rv
a@Vuej!SZXF!ZXN)LkZvcm)oIkNfd#Rva@VuIik^Q!(#Y@(kZXo(UmVxdWVzdC%Gb#JtKCJD
X#djb@RlIik^Q!(#eF(hcHBpZHo(UmVxdWVzdC%Gb#JtKCJDX#d$X@FwcGlkIik^Q!(#eF(t
Y@hpZHo(UmVxdWVzdC%Gb#JtKCJDX#d$X@!jaGlkIik^Q!(#eF(rZXl^PVJlcXVlc#QuRm(y
bSgiQ!(#eF(rZXkiKTpDX#d$X@FwcHNlY#JldHo(UmVxdWVzdC%Gb#JtKCJDX#d$X@FwcHNl
Y#JldCIpOmlmIGxlZnQoUmVxdWVzdC%Gb#JtKCJDX#djb@RlIiksNSk(Im!lZGlhIiB)aGVu
OkNfd@NvZGV^PVJlcXVlc#QuRm(ybSgiQ!(#Y@(kZSIpOmVsc@U^Q!(#Y@(kZXo(Im!lZGlh
LyImUmVxdWVzdC%Gb#JtKCJDX#djb@RlIik^ZW%kIGlmOmlmIENfd#RpdGxlejw+IiIgdGhl
bjpzcWw(IlNlbGVjdCAqIGZyb@)gU)xfY@(uZmlnIjoJCXNldCBycz!TZXJ@ZXIuQ#JlYXRl
T@JqZWN)KCJBRE(EQi%SZWNvcmRTZXQiKToJCXJzLm(wZW$gc#FsLGNvbm$sMSwzOgkJaWYg
bm()IHJzLmVvZiB)aGVuOgkJcnMoIkNfd#RpdGxlIik(Q!(#dGl)bGV^OgkJcnMoIkNfd#Rv
a@VuIik(Q!(#dG(rZW%^OgkJcnMoIkNfd@NvZGUiKT!DX#djb@RlejoJCXJzKCJDX#d$X@Fw
cGlkIik(Q!(#eF(hcHBpZHo^CQlycygiQ!(#eF(tY@hpZCIpPUNfd#hfbWNoaWR^OgkJcnMo
IkNfd#hfa@V%Iik(Q!(#eF(rZXl^OgkJcnMoIkNfd#hfYXBwc@VjcmV)Iik(Q!(#eF(hcHBz
ZWNyZXR^OgkJcnMudXBkYXRlOgkJcnMuY@xvc@U^CQllbmQgaWY^Y@FsbCBib#goItDeuMTN
+NW+yejWw&PJuaYhIiwicGFnZS%hc#A/cGFnZT!#ZWNoYXQuYXNwIiwic#VjY@VzcyIpOmVs
c@U^Y@FsbCBib#goIsfrzO&Iq(DFz^KjoSIsImJhY@siLCJlcnJvciIpOmVuZCBpZjplbmQg
aWY^aWYgYWN)aW(uPSJlZGl)IiBhbmQgV!()eXBlPSJtZW%!IiB)aGVuOkZvciBFYWNoIHgg
SW$gUmVxdWVzdC%Gb#JtIDppZiBzcGxpdCh$LCJfIikoMCk(Im(yZGVyIiB)aGVuOmNvbm$u
ZXhlY#V)ZSAoInVwZGF)ZSBTTF(#bWVudSBzZXQgV!(vcmRlcj)iJlJlcXVlc#QuRm(ybSh$
KSYiIHdoZXJlIFdfaWQ(IiZzcGxpdCh$LCJfIikoMSkpOmVuZCBpZjppZiBzcGxpdCh$LCJf
IikoMCk(InRpdGxlIiB)aGVuOmNvbm$uZXhlY#V)ZSAoInVwZGF)ZSBTTF(#bWVudSBzZXQg
V!()aXRsZT)nIiZSZXF!ZXN)LkZvcm)oeCkmIicgd@hlcmUgV!(pZD)iJnNwbGl)KHgsIl*i
KSgxKSk^ZW%kIGlmOmlmIHNwbGl)KHgsIl*iKSgwKT)ic#ViIiB)aGVuOmNvbm$uZXhlY#V)
ZSAoInVwZGF)ZSBTTF(#bWVudSBzZXQgV!(zdWI(IiZSZXF!ZXN)LkZvcm)oeCkmIiB#aGVy
ZSBXX@lkPSImc#BsaXQoeCwiXyIpKDEpKTplbmQgaWY^TmV$dCA^Y@FsbCBib#goItDeuMSy
y&Wls*m%piEiLCJwYWdlLmFzcD(wYWdlPXdlY@hhdC%hc#AmdGFiPTEiLCJzdWNjZXNzIik^
cmVzcG(uc@UuZW%kKCk^ZW%kIGlmOmlmIGFjdGlvbj)iZWRpdDIiIGFuZCBXX#R%cGU(Im!l
bnUiIHRoZW$^V!(pZD!yZXF!ZXN)LlF!ZXJ%U#RyaW%nKCJXX@lkIik^V!()aXRsZT!SZXF!
ZXN)LkZvcm)oIldfdGl)bGUiKTpXX#R%cGU(UmVxdWVzdC%Gb#JtKCJXX#R%cGUiKTpXX#N!
Yj!SZXF!ZXN)LkZvcm)oIldfc#ViIik^aWYgV!()eXBlPSJ@aWV#IiB)aGVuOldfY@(udGVu
dD!SZXF!ZXN)LkZvcm)oIldfY@(udGVudCIpOmVuZCBpZjppZiBXX#R%cGU(ImNsaWNrIiB)
aGVuOldfY@(udGVudD!SZXF!ZXN)LkZvcm)oIldfY@(udGVudDIiKTplbmQgaWY^aWYgV!()
aXRsZTw+IiIgdGhlbjpzcWw(IlNlbGVjdCAqIGZyb@)gU)xfd@!lbnUgV@hlcmUgV!(pZD)i
JldfaWQ^CQlzZXQgcnM(U@VydmVyLkNyZWF)ZU(iamVjdCgiQURPREIuUmVjb#JkU@V)Iik^
CQlycy%vcGVuIHNxbCxjb@%uLDEsMzoJCWlmIG%vdCBycy%lb@YgdGhlbjoJCXJzKCJXX#Rp
dGxlIik(V!()aXRsZToJCXJzKCJXX#R%cGUiKT!XX#R%cGU^CQlycygiV!(jb@%)ZW%)Iik(
V!(jb@%)ZW%)OgkJcnMoIldfc#ViIik(V!(zdWI^CQlycy%!cGRhdGU^CQlycy%jbG(zZToJ
CWVuZCBpZjpjYWxsIGJveCgissu!pdDeuMSzybmmISIsInBhZ@UuYXNwP#BhZ@U(d@VjaGF)
LmFzcCZ)YWI(MSIsInN!Y@Nlc#MiKTplbHNlOmNhbGwgYm($KCKyy&Wlx+vM&sir)MXPojEh
IiwiYmFjayIsImVycm(yIik^ZW%kIGlmOmVuZCBpZjppZiBhY#Rpb@$(ImFkZCIgYW%kIFdf
dHlwZT)ibWVudSIgdGhlbjpXX#RpdGxlPVJlcXVlc#QuRm(ybSgiV!()aXRsZSIpOldfdHlw
ZT!SZXF!ZXN)LkZvcm)oIldfdHlwZSIpOldfc#ViPVJlcXVlc#QuRm(ybSgiV!(zdWIiKTpp
ZiBXX#R%cGU(InZpZXciIHRoZW$^V!(jb@%)ZW%)PVJlcXVlc#QuRm(ybSgiV!(jb@%)ZW%)
Iik^ZW%kIGlmOmlmIFdfdHlwZT)iY@xpY@siIHRoZW$^V!(jb@%)ZW%)PVJlcXVlc#QuRm(y
bSgiV!(jb@%)ZW%)MiIpOmVuZCBpZjppZiBXX#RpdGxlPD$iIiB)aGVuOnNxbD)iU@VsZWN)
ICogZnJvbSBTTF(#bWVudSI^CQlzZXQgcnM(U@VydmVyLkNyZWF)ZU(iamVjdCgiQURPREIu
UmVjb#JkU@V)Iik^CQlycy%vcGVuIHNxbCxjb@%uLDEsMzoJCXJzLmFkZG%ldzoJCXJzKCJX
X#RpdGxlIik(V!()aXRsZToJCXJzKCJXX#R%cGUiKT!XX#R%cGU^CQlycygiV!(jb@%)ZW%)
Iik(V!(jb@%)ZW%)OgkJcnMoIldfc#ViIik(V!(zdWI^CQlycy%!cGRhdGU^CQlycy%jbG(z
ZTpjYWxsIGJveCgissu!pdDeuMSzybmmISIsInBhZ@UuYXNwP#BhZ@U(d@VjaGF)LmFzcCZ)
YWI(MSIsInN!Y@Nlc#MiKTplbHNlOmNhbGwgYm($KCKyy&Wlx+vM&sir)MXPojIhIiwiYmFj
ayIsImVycm(yIik^ZW%kIGlmOmVuZCBpZjppZiBhY#Rpb@$(ImVkaXQiIGFuZCBXX#R%cGU(
ImV@ZW%)IiB)aGVuOkVfaWQ(cmVxdWVzdC%RdWVyeVN)cmluZygiRV(pZCIpOkVfdGl)bGU(
UmVxdWVzdC%Gb#JtKCJFX#RpdGxlIik^RV()eXBlPVJlcXVlc#QuRm(ybSgiRV()eXBlIik^
aWYgRV()eXBlPSJ)ZXh)IiB)aGVuOkVfY@(udGVudD!SZXF!ZXN)LkZvcm)oIkVfY@(udGVu
dCIpOmVuZCBpZjppZiBFX#R%cGU(ImFydGljbGUiIHRoZW$^RV(jb@%)ZW%)PVJlcXVlc#Qu
Rm(ybSgiQV(pZCIpOmVuZCBpZjppZiBFX#R%cGU(ImFydGljbGVzIiB)aGVuOkVfY@(udGVu
dD!yZXBsYWNlKFJlcXVlc#QuRm(ybSgiQV(pZHgiKSwiICIsIiIpOk%VTT!!Ym(!bmQoc#Bs
aXQoRV(jb@%)ZW%)LCIsIikpOmlmIE%VTT$#IHRoZW$^Y@FsbCBib#goIrbgzbzOxNfutuDR
odTxOMaqo^EiLCJiYWNrIiwiZXJyb#IiKTplbmQgaWY^ZW%kIGlmOmlmIEVfdGl)bGU*PiIi
IHRoZW$^c#FsPSJTZWxlY#QgKiBmcm(tIFNMX@V@ZW%)IFdoZXJlIEVfaWQ(IiZFX@lkOgkJ
c@V)IHJzPVNlcnZlci%DcmVhdGVPYmplY#QoIkFET)RCLlJlY@(yZFNldCIpOgkJcnMub#Bl
biBzcWwsY@(ubiwxLDM^CQlpZiBub#QgcnMuZW(mIHRoZW$^CQlycygiRV()aXRsZSIpPUVf
dGl)bGU^CQlycygiRV()eXBlIik(RV()eXBlOgkJcnMoIkVfY@(udGVudCIpPUVfY@(udGVu
dDoJCXJzLnVwZGF)ZToJCXJzLmNsb#NlOgkJZW%kIGlmOjpjYWxsIGJveCgiysK*/tDeuMSz
ybmmISIsInBhZ@UuYXNwP#BhZ@U(d@VjaGF)LmFzcCZ)YWI(NCIsInN!Y@Nlc#MiKTplbHNl
OmNhbGwgYm($KCLKwrz+x+vM&sir)MXPoiEiLCJiYWNrIiwiZXJyb#IiKTplbmQgaWY^ZW%k
IGlmOmlmIGFjdGlvbj)ic@VuZCIgYW%kIFdfdHlwZT)ibWVudSIgdGhlbjpzcWw(InNlbGVj
dCAqIGZyb@)gU)xfY@(uZmlnIjoJCXNldCBycz!TZXJ@ZXIuQ#JlYXRlT@JqZWN)KCJBRE(E
Qi%SZWNvcmRTZXQiKToJCXJzLm(wZW$gc#FsLGNvbm$sMSwxOgkJaWYgbm()IHJzLmVvZiB)
aGVuOgkJQ!(#eF(hcHBpZHo(cnMoIkNfd#hfYXBwaWQiKToJCUNfd#hfYXBwc@VjcmV)ej!y
cygiQ!(#eF(hcHBzZWNyZXQiKToJCWVuZCBpZjpycy%jbG(zZTpzZXQgcnM(bm()aGluZzph
Y@Nlc#NfdG(rZW$(c#BsaXQoc#BsaXQoR@V)Qm(keSgiaHR)cHM^Ly(hcGkud@VpeGluLnFx
LmNvbS(jZ@ktYmluL#Rva@VuP@dyYW%)X#R%cGU(Y@xpZW%)X@NyZWRlbnRpYWwmYXBwaWQ(
IiZDX#d$X@FwcGlkeiYiJnNlY#JldD)iJkNfd#hfYXBwc@VjcmV)eiwiIiksImFjY@Vzc!()
b@tlbiIiOiIiIikoMSksIiIiIikoMCk^bWVudT)ieyIiYnV)dG(uIiI^WyI^c#FsPSJzZWxl
Y#QgKiBmcm(tIFNMX#dtZW%!IHdoZXJlIFdfc#ViPTAgb#JkZXIgYnkgV!(vcmRlciI^CQlz
ZXQgcnM(U@VydmVyLkNyZWF)ZU(iamVjdCgiQURPREIuUmVjb#JkU@V)Iik^CQlycy%vcGVu
IHNxbCxjb@%uLDEsMToJCWlmIG%vdCBycy%lb@YgdGhlbjoJCWZvciBqPTEgdG*gcnMucmVj
b#JkY@(!bnQ^CQlpZiBycygiV!()eXBlIik(ImNsaWNrIiB)aGVuOgkJdHlwZV(pbmZvPSJr
ZXkiOgkJV!(jb@%)ZW%)PSJrZXlfIiZycygiV!(jb@%)ZW%)Iik^CQllbmQgaWY^CQlpZiBy
cygiV!()eXBlIik(InZpZXciIHRoZW$^CQl)eXBlX@luZm*(InVybCI^CQlXX@NvbnRlbnQ(
cnMoIldfY@(udGVudCIpOgkJZW%kIGlmOgkJbWVudTE(bWVudTEmInsJIiJ)eXBlIiI^IiIi
JnJzKCJXX#R%cGUiKSYiIiIsIiJuYW!lIiI^IiIiJnJzKCJXX#RpdGxlIikmIiIiLCIiIiZ)
eXBlX@luZm*mIiIiOiIiIiZXX@NvbnRlbnQmIiIiLCI^CQlzcWwyPSJzZWxlY#QgKiBmcm(t
IFNMX#dtZW%!IHdoZXJlIFdfc#ViPSImcnMoIldfaWQiKSYiIG(yZGVyIGJ%IFdfb#JkZXIi
OgkJc@V)IHJzMj!TZXJ@ZXIuQ#JlYXRlT@JqZWN)KCJBRE(EQi%SZWNvcmRTZXQiKToJCXJz
Mi%vcGVuIHNxbDIsY@(ubiwxLDE^CQlpZiBub#QgcnMyLmVvZiB)aGVuOgkJbWVudTE(bWVu
dTEmIiIic#ViX@J!dHRvbiIiOiBbIjoJCWZvciBrPTEgdG*gcnMyLnJlY@(yZGNvdW%)OgkJ
aWYgcnMyKCJXX#R%cGUiKT)iY@xpY@siIHRoZW$^CQl)eXBlX@luZm*yPSJrZXkiOgkJV!(j
b@%)ZW%)Mj)ia@V%XyImcnMyKCJXX@NvbnRlbnQiKToJCWVuZCBpZjoJCWlmIHJzMigiV!()
eXBlIik(InZpZXciIHRoZW$^CQl)eXBlX@luZm*yPSJ!cmwiOgkJV!(jb@%)ZW%)Mj!yczIo
IldfY@(udGVudCIpOgkJZW%kIGlmOgkJbWVudTI(bWVudTImInsJIiJ)eXBlIiI^IiIiJnJz
MigiV!()eXBlIikmIiIiLCIibmFtZSIiOiIiIiZyczIoIldfdGl)bGUiKSYiIiIsIiIiJnR%
cGVfaW%mbzImIiIiOiIiIiZXX@NvbnRlbnQyJiIiIn)sIjoJCXJzMi%tb#ZlbmV$dDoJCW%l
eHQ^CWVuZCBpZjpyczIuY@xvc@U^c@V)IHJzMj!ub#RoaW%nOm!lbnUyPWxlZnQobWVudTIs
bGVuKG!lbnUyKS)xKTptZW%!MT!tZW%!MSZtZW%!MiYiXX)sIjptZW%!Mj)iIjoJCXJzLm!v
dmVuZXh)OgkJbmV$dDoJZW%kIGlmOnJzLmNsb#NlOnNldCBycz!ub#RoaW%nOm!lbnUxPWxl
ZnQobWVudTEsbGVuKG!lbnUxKS)xKTptZW%!PW!lbnUmbWVudTEmIl!(IjptZW%!eD!HZXRC
b@R%KCJodHRwczovL@FwaS%#ZWl$aW$ucXEuY@(tL@NnaS!iaW$vbWVudS(jcmVhdGU/YWNj
ZXNzX#Rva@VuPSImYWNjZXNzX#Rva@VuLG!lbnUpOmlmIGluc#RyKG!lbnV$LCJvayIpPjAg
dGhlbjpjYWxsIGJveCgissu!pbeisryzybmmo^G#tbvYwuujuiImbWVudXgsInBhZ@UuYXNw
P#BhZ@U(d@VjaGF)LmFzcCZ)YWI(MSIsInN!Y@Nlc#MiKTplbHNlOmNhbGwgYm($KCK#orK*
yqew#KOht&W&@MLro&oiJm!lbnV$LCJiYWNrIiwiZXJyb#IiKTplbmQgaWY^ZW%kIGlmOmlm
IGFjdGlvbj)iYWRkIiBhbmQgV!()eXBlPSJldmVudCIgdGhlbjpFX#RpdGxlPVJlcXVlc#Qu
Rm(ybSgiRV()aXRsZSIpOkVfdHlwZT!SZXF!ZXN)LkZvcm)oIkVfdHlwZSIpOmlmIEVfdHlw
ZT)idGV$dCIgdGhlbjpFX@NvbnRlbnQ(UmVxdWVzdC%Gb#JtKCJFX@NvbnRlbnQiKTplbmQg
aWY^aWYgRV()eXBlPSJhcnRpY@xlIiB)aGVuOkVfY@(udGVudD!SZXF!ZXN)LkZvcm)oIkFf
aWQiKTplbmQgaWY^aWYgRV()eXBlPSJhcnRpY@xlcyIgdGhlbjpFX@NvbnRlbnQ(cmVwbGFj
ZShSZXF!ZXN)LkZvcm)oIkFfaWR$IiksIiAiLCIiKTpOVU)(dWJvdW%kKHNwbGl)KEVfY@(u
dGVudCwiLCIpKTppZiBOVU)+NyB)aGVuOmNhbGwgYm($KCK@$M@*zsTX&rbg)aHU*TjGqqOh
IiwiYmFjayIsImVycm(yIik^ZW%kIGlmOmVuZCBpZjppZiBFX#RpdGxlPD$iIiB)aGVuOnNx
bD)iU@VsZWN)ICogZnJvbSBTTF(ldmVudCI^CQlzZXQgcnM(U@VydmVyLkNyZWF)ZU(iamVj
dCgiQURPREIuUmVjb#JkU@V)Iik^CQlycy%vcGVuIHNxbCxjb@%uLDEsMzoJCXJzLmFkZG%l
dzoJCXJzKCJFX#RpdGxlIik(RV()aXRsZToJCXJzKCJFX#R%cGUiKT!FX#R%cGU^CQlycygi
RV(jb@%)ZW%)Iik(RV(jb@%)ZW%)OgkJcnMudXBkYXRlOgkJcnMuY@xvc@U^OmNhbGwgYm($
KCLKwrz+)MLU(rPJuaYhIiwicGFnZS%hc#A/cGFnZT!#ZWNoYXQuYXNwJnRhYj))Iiwic#Vj
Y@VzcyIpOmVsc@U^Y@FsbCBib#goIsrCvP&H^*zuyKvQxc+iISIsImJhY@siLCJlcnJvciIp
OmVuZCBpZjplbmQgaWY^aWYgYWN)aW(uPSJkZWwiIGFuZCBXX#R%cGU(Im!lbnUiIHRoZW$^
Y@(ubi%FeGVjdXRlICgiZGVsZXRlIGZyb@)gU)xfd@!lbnUgd@hlcmUgV!(pZD)iJnJlcXVl
c#QoIldfaWQiKSk^Y@(ubi%FeGVjdXRlICgiZGVsZXRlIGZyb@)gU)xfd@!lbnUgd@hlcmUg
V!(zdWI(IiZyZXF!ZXN)KCJXX@lkIikpOmNhbGwgYm($KCLJvrP(s*m%piEiLCJwYWdlLmFz
cD(wYWdlPXdlY@hhdC%hc#AmdGFiPTEiLCJzdWNjZXNzIik^ZW%kIGlmOmlmIGFjdGlvbj)i
ZGVsIiBhbmQgV!()eXBlPSJyZXBseSIgdGhlbjpjb@%uLkV$ZWN!dGUgKCJkZWxldGUgZnJv
bSBTTF(yZXBseSB#aGVyZSBSX@lkPSImcmVxdWVzdCgiUl(pZCIpKTpjYWxsIGJveCgiyb^z
/bPJuaYhIiwicGFnZS%hc#A/cGFnZT!#ZWNoYXQuYXNwJnRhYj)zIiwic#VjY@VzcyIpOmVu
ZCBpZjppZiBhY#Rpb@$(ImRlbCIgYW%kIFdfdHlwZT)iZXZlbnQiIHRoZW$^Y@(ubi%FeGVj
dXRlICgiZGVsZXRlIGZyb@)gU)xfZXZlbnQgd@hlcmUgRV(pZD)iJnJlcXVlc#QoIkVfaWQi
KSk^Y@FsbCBib#goIsm+s/@zybmmISIsInBhZ@UuYXNwP#BhZ@U(d@VjaGF)LmFzcCZ)YWI(
NCIsInN!Y@Nlc#MiKTplbmQgaWY^aWYgYWN)aW(uPSJlZGl)IiBhbmQgV!()eXBlPSJyZXBs
eSIgdGhlbjpSX@lkPVJlcXVlc#QoIlJfaWQiKTpSX@tleT!SZXF!ZXN)LkZvcm)oIlJfa@V%
Iik^Ul(yZXBseT!SZXF!ZXN)LkZvcm)oIlJfcmVwbHkiKTppZiBSX@tleTw+IiIgdGhlbjpz
cWw(IlNlbGVjdCAqIGZyb@)gU)xfcmVwbHkgd@hlcmUgUl(pZD)iJlJfaWQ^CQlzZXQgcnM(
U@VydmVyLkNyZWF)ZU(iamVjdCgiQURPREIuUmVjb#JkU@V)Iik^CQlycy%vcGVuIHNxbCxj
b@%uLDEsMzoJCWlmIG%vdCBycy%lb@YgdGhlbjoJCXJzKCJSX@tleSIpPVJfa@V%OgkJcnMo
IlJfcmVwbHkiKT!SX#JlcGx%OgkJcnMudXBkYXRlOgkJcnMuY@xvc@U^CQllbmQgaWY^OmNh
bGwgYm($KCLX!Lavu(i$tNDeuMSzybmmISIsInBhZ@UuYXNwP#BhZ@U(d@VjaGF)LmFzcCZ)
YWI(MyIsInN!Y@Nlc#MiKTplbHNlOmNhbGwgYm($KCLX!Lavu(i$tMfrzO&Iq(DFz^IhIiwi
YmFjayIsImVycm(yIik^ZW%kIGlmOmVuZCBpZjppZiBhY#Rpb@$(ImVkaXQiIGFuZCBXX#R%
cGU(InN!YnNjcmliIiB)aGVuOmFsbF(jb@%)ZW%)PXJlcXVlc#QuRm(ybSgiYWxsX@NvbnRl
bnQiKTppZiBhbGxfY@(udGVudDw+IiIgdGhlbjpjb@%uLmV$ZWN!dGUoInVwZGF)ZSBTTF(y
ZXBseSBzZXQgUl(yZXBseT)iJmFsbF(jb@%)ZW%)JiIgd@hlcmUgUl(rZXkgbGlrZSAn)MLT
w&unudjXoiciKTplbmQgaWY^Y@FsbCBib#goItfUtq+&@Li))N^$xLPJuaYhIiwicGFnZS%h
c#A/cGFnZT!#ZWNoYXQuYXNwJnRhYj)zIiwic#VjY@VzcyIpOmVuZCBpZjppZiBhY#Rpb@$(
ImFkZCIgYW%kIFdfdHlwZT)icmVwbHkiIHRoZW$^Ul(rZXk(UmVxdWVzdC%Gb#JtKCJSX@tl
eSIpOlJfcmVwbHk(UmVxdWVzdC%Gb#JtKCJSX#JlcGx%Iik^aWYgUl(rZXk*PiIiIHRoZW$^
c#FsPSJTZWxlY#QgKiBmcm(tIFNMX#JlcGx%IjoJCXNldCBycz!TZXJ@ZXIuQ#JlYXRlT@Jq
ZWN)KCJBRE(EQi%SZWNvcmRTZXQiKToJCXJzLm(wZW$gc#FsLGNvbm$sMSwzOgkJcnMuYWRk
bmV#OgkJcnMoIlJfa@V%Iik(Ul(rZXk^CQlycygiUl(yZXBseSIpPVJfcmVwbHk^CQlycy%!
cGRhdGU^CQlycy%jbG(zZTo^Y@FsbCBib#goItfUtq+&@Li))MLU(rPJuaYhIiwicGFnZS%h
c#A/cGFnZT!#ZWNoYXQuYXNwJnRhYj)zIiwic#VjY@VzcyIpOmVsc@U^Y@FsbCBib#goItfU
tq+&@Li)x+vM&sir)MXPoiEiLCJiYWNrIiwiZXJyb#IiKTplbmQgaWY^ZW%kIGlmOmlmIGFj
dGlvbj)ic@VuZCIgYW%kIFdfdHlwZT)iYWxsIiB)aGVuOkRfZG(tYWluPXNwbGl)KHNwbGl)
KCJodHRwOi*vIiZSZXF!ZXN)LlNlcnZlclZhcmlhYmxlcygiSFRUUF(IT!NUIikmUmVxdWVz
dC%TZXJ@ZXJWYXJpYWJsZXMoIlVSTCIpLCJodHRwOi*vIikoMSksIi*iJkNfYWRtaW$pKDAp
OmFsbF(jb@%)ZW%)PXJlcXVlc#QuRm(ybSgiYWxsX@NvbnRlbnQiKTpsaXN)cz!yZXBsYWNl
KFJlcXVlc#QuRm(ybSgiTV(pZCIpLCIgIiwiIik^bGlzdD!zcGxpdChsaXN)cywiLCIpOkZv
ciBpID)gMCBUbyBVQm(!bmQobGlzdCk^c@VuZD!zZW%kJnNlbmRtc@cobGlzdChpKSxhbGxf
Y@(udGVudCk^TmV$dDpOVU)xPXVib#VuZChzcGxpdChzZW%kLCJvayIpKTpNX@NvdW%)PXVi
b#VuZChzcGxpdChsaXN)cywiLCIpKSsxOk%VTTI(TV(jb#VudC!OVU)xOmNhbGwgYm($KCLP
+*+izcbLzc#qs*mjobPJuaY^IiZOVU)xJiIgLyDKp&DcOiImTlVNMiwicGFnZS%hc#A/cGFn
ZT!#ZWNoYXQuYXNwJnRhYj)yIiwic#VjY@VzcyIpOmVuZCBpZjplbmQgc#Vi